"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InjectRedis = void 0;
const common_1 = require("@nestjs/common");
const common_constant_1 = require("../constants/common.constant");
const redis_constant_1 = require("../constants/redis.constant");
/**
 * 注入Redis客户端装饰器
 * @param namespace Redis客户端命名空间
 * @returns Redis客户端Inject Token
 */
const InjectRedis = (namespace = redis_constant_1.DEFAULT_REDIS_CLIENT_PROVIDER) => {
    common_constant_1.namespaces.includes(namespace) || common_constant_1.namespaces.push(namespace);
    return (0, common_1.Inject)(namespace);
};
exports.InjectRedis = InjectRedis;
