import { FactoryProvider } from '@nestjs/common';
import { Redis } from 'ioredis';
import { RedisClientList } from '../types';
/**
 * 创建Redis客户端列表Provider，多个Provider，Inject Token 为 namespace
 * @returns Redis客户端列表Provider
 */
export declare const createRedisClientProvider: () => FactoryProvider<Redis>[];
/**
 * 创建Redis客户端列表 FactoryProvider，单个Provider，Inject Token 为 REDIS_CLIENT_LIST_PROVIDER
 * @returns Redis客户端列表 FactoryProvider
 */
export declare const createRedisClientListProvider: () => FactoryProvider<RedisClientList>;
